Bug 1295128 - Review Request: aws-shell - AWS Shell
Review Request: aws-shell - AWS Shell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Germano Massullo
Fedora Extras Quality Assurance
:
Depends On: 1134005 1295103 1295127 1295129 1295154
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 11:09 EST by Fabio Alessandro Locati
Modified: 2016-06-18 14:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 12:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
germano.massullo: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-01-02 11:09:35 EST
Spec URL: https://fale.fedorapeople.org/aws/aws-shell.spec
SRPM URL: https://fale.fedorapeople.org/aws/aws-shell-0.1.0-1.fc23.src.rpm
Description: AWS Shell
Fedora Account System Username: fale
Comment 1 Fabio Alessandro Locati 2016-05-28 08:50:34 EDT
I've just updated to the latest released version. I've also simplified the SPEC.

Spec URL: https://fale.fedorapeople.org/rpms/aws-shell.spec
SRPM URL: https://fale.fedorapeople.org/rpms/aws-shell-0.1.1-1.fc25.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14288443
Comment 2 Germano Massullo 2016-06-05 15:54:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 30 files have unknown
     license. Detailed output of licensecheck in /home/fale/aws-
     shell/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: aws-shell-0.1.1-1.fc25.noarch.rpm
          aws-shell-0.1.1-1.fc25.src.rpm
aws-shell.noarch: W: no-manual-page-for-binary aws-shell-mkindex
aws-shell.noarch: W: no-manual-page-for-binary aws-shell
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
aws-shell.noarch: W: no-manual-page-for-binary aws-shell
aws-shell.noarch: W: no-manual-page-for-binary aws-shell-mkindex
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
aws-shell (rpmlib, GLIBC filtered):
    /usr/bin/python3
    awscli
    python(abi)
    python3-boto3
    python3-configobj
    python3-prompt_toolkit
    python3-pygments



Provides
--------
aws-shell:
    aws-shell



Source checksums
----------------
https://pypi.io/packages/source/a/aws-shell/aws-shell-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 653f085d966b4ed3b3581b7bb85f6f0bb1e8a3bfd852a3333596082a5ba689df
  CHECKSUM(SHA256) upstream package : 653f085d966b4ed3b3581b7bb85f6f0bb1e8a3bfd852a3333596082a5ba689df
Comment 3 Germano Massullo 2016-06-05 15:54:55 EDT
Congratulations, your package is approved!
Comment 4 Fabio Alessandro Locati 2016-06-05 16:54:37 EDT
Thanks a lot Germano :)
Comment 5 Gwyn Ciesla 2016-06-06 13:44:12 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/aws-shell
Comment 6 Fedora Update System 2016-06-06 15:04:43 EDT
aws-shell-0.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-231fda10e1
Comment 7 Fedora Update System 2016-06-06 15:04:50 EDT
aws-shell-0.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2184451c8
Comment 8 Fedora Update System 2016-06-07 14:54:24 EDT
aws-shell-0.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2184451c8
Comment 9 Fedora Update System 2016-06-07 22:24:26 EDT
aws-shell-0.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-231fda10e1
Comment 10 Fedora Update System 2016-06-17 12:01:31 EDT
aws-shell-0.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-06-18 14:39:59 EDT
aws-shell-0.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.